/*
 * このソースコードは blanco Frameworkにより自動生成されました。
 */
package blanco.xliff.valueobject;

/**
 * OASIS XLIFF の target をあらわすバリューオブジェクト。
 */
public class BlancoXliffTarget {
    /**
     * フィールド [state]
     *
     * 項目の型 [java.lang.String]<br>
     * state属性。翻訳状況。
     */
    private String fState;

    /**
     * フィールド [state-qualifier]
     *
     * 項目の型 [java.lang.String]<br>
     * state-qualifier属性。翻訳状況の詳細。
     */
    private String fStateQualifier;

    /**
     * フィールド [target]
     *
     * 項目の型 [java.lang.String]<br>
     * 翻訳後文字列。
     */
    private String fTarget;

    /**
     * フィールド [state]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * state属性。翻訳状況。
     *
     * @param argState フィールド[state]に格納したい値
     */
    public void setState(final String argState) {
        fState = argState;
    }

    /**
     * フィールド[state]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * state属性。翻訳状況。
     *
     * @return フィールド[state]に格納されている値
     */
    public String getState() {
        return fState;
    }

    /**
     * フィールド [state-qualifier]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * state-qualifier属性。翻訳状況の詳細。
     *
     * @param argStateQualifier フィールド[state-qualifier]に格納したい値
     */
    public void setStateQualifier(final String argStateQualifier) {
        fStateQualifier = argStateQualifier;
    }

    /**
     * フィールド[state-qualifier]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * state-qualifier属性。翻訳状況の詳細。
     *
     * @return フィールド[state-qualifier]に格納されている値
     */
    public String getStateQualifier() {
        return fStateQualifier;
    }

    /**
     * フィールド [target]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 翻訳後文字列。
     *
     * @param argTarget フィールド[target]に格納したい値
     */
    public void setTarget(final String argTarget) {
        fTarget = argTarget;
    }

    /**
     * フィールド[target]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 翻訳後文字列。
     *
     * @return フィールド[target]に格納されている値
     */
    public String getTarget() {
        return fTarget;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * オブジェクトのシャロー範囲でしかtoStringされない点に注意して利用してください。
     *
     * @return バリューオブジェクトの文字列表現。
     */
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.xliff.valueobject.BlancoXliffTarget[");
        buf.append("state=" + fState);
        buf.append(",state-qualifier=" + fStateQualifier);
        buf.append(",target=" + fTarget);
        buf.append("]");
        return buf.toString();
    }
}
